Subject: bug#51605: Fwd: [PATCH] Update themes to support mode-line

From: Pedro Andres Aranda Gutierrez <[email-masked]>
Date: Wed, 8 Dec 2021 07:45:57 +0100

Hi Eli,

point taken... if it isn't the fringe, then something else. I find it more
problematic to have the same face for the buffer and line numbers.
And it's from the conceptual point of view that line numbers aren't buffer
and therefore should have a different face by default.

OK, I use a couple of themes that happen to have a shadowy background for
the fringe, but I could live with anything that makes this _conceptual_
difference visible.

(Just my .2c worth of experience; when I edit/correct Python exercises from
my students, this visual difference helps me detecting indentation errors
much quicker; my student's experience: different line number and buffer
faces help them editing and therefore adopting Emacs as their editor of
choice for Python and from there they explore org-mode for their short
papers and presentations and they become regular users in no time ;-) )

Best, /PA

On Tue, 7 Dec 2021 at 15:08, Eli Zaretskii <[email-masked]> wrote:

> > From: Pedro Andres Aranda Gutierrez <[email-masked]>
> > Date: Tue, 7 Dec 2021 07:23:11 +0100
> > Cc: Stefan Kangas <[email-masked]>, Eli Zaretskii <[email-masked]>,
> [email-masked]
> >
> > you are right. An image is worth more than 1000 words ;-)
> >
> > Here you are. +/- the same are in the same file, with a theme I created
> with ThemeCreator
> > (https://mswift42.github.io/themecreator/)
> > My main point for having line-number as fringe is the space between the
> line number and the buffer. It's not
> > just the practical side of it (i.e. identifying a space too much or
> missing), it's also something more
> > philosophical: i.e. the the difference between buffer and the rest.
>
> What happens if there's display margin between the fringe and the line
> numbers?
>
> In any case, I don't understand why you insist on using the fringe as
> the basic face here.  The line numbers have nothing to do with the
> fringe, and if you assume that the fringe's background will always be
> a pale, shadowy color, that assumption can easily be false.  E.g., in
> my sessions the fringe has a very vivid color.  It's a problematic
> dependency.
>

-- 
Fragen sind nicht da um beantwortet zu werden,
Fragen sind da um gestellt zu werden
Georg Kreisler